## liquidsoap 0.9.2

=== Makefile ===

SUBDIRS= src examples doc gui scripts
DISTFILES = CHANGES COPYING INSTALL README \
	bootstrap configure.ac configure config.h.in \
	Makefile Makefile.defs.in Makefile.rules install-sh

top_srcdir=.
include $(top_srcdir)/Makefile.rules

debug:
	$(MAKE) _OCAML_CFLAGS=-g -C src clean all

distclean: clean
	rm -rf config.log config.status config.h autom4te.cache \
	       src/configure.ml Makefile.defs scripts/liquidsoap.initd \
	       scripts/liquidsoap.gentoo.initd scripts/liquidsoap.logrotate \
	       scripts/liquidtts gui/liguidsoap $(DISTDIR) $(DISTDIR).tar.bz2 
tild-clean:
	find . -name '*~' -exec rm \{\} \;


# Build liquidsoap as it will be used for building the doc
doc-local: all

.PHONY: system-install gentoo-install debian-install finish-configure

finish-configure:
	@echo Creating src/configure.ml
	@echo let tts_program = \"$(libdir)/liquidsoap/$(libs_dir_version)/liquidtts\" >> src/configure.ml
	@echo let rundir = \"$(localstatedir)/run/liquidsoap\" >> src/configure.ml
	@echo let logdir = \"$(localstatedir)/log/liquidsoap\" >> src/configure.ml
	@echo let libs_dir = \"$(libdir)/liquidsoap/$(libs_dir_version)\" >> src/configure.ml
	@echo let display_types = ref false >> src/configure.ml
	@echo let \(\) = add_subst \"\<sysrundir\>\" \"$(localstatedir)/run/liquidsoap\" >> src/configure.ml
	@echo let \(\) = add_subst \"\<syslogdir\>\" \"$(localstatedir)/log/liquidsoap\" >> src/configure.ml
	@echo "(* Enable backtrace printing if possible, does nothing on ocaml<3.11 *)" >> src/configure.ml
	@echo "let record_backtrace _ = ()" >> src/configure.ml
	@echo "open Printexc" >> src/configure.ml
	@echo "let () = record_backtrace true" >> src/configure.ml
	@echo Creating scripts/liquidsoap.logrotate
	@cat scripts/liquidsoap.logrotate.in | \
	  sed -e s:@localstatedir@:$(localstatedir): > scripts/liquidsoap.logrotate

.PHONY: doc-install api-doc-install
doc-install:
	$(MAKE) -C doc doc-install
	$(MAKE) -C examples doc-install
api-doc-install:
	$(V)echo Installing developer documentation...
	$(V)$(INSTALL) -d $(datadir)/doc/$(DISTDIR)/api
	$(V)for doc in $(wildcard autodoc/liquidsoap/*.html autodoc/liquidsoap/*.css) ;\
	do $(INSTALL_DATA) $$doc $(datadir)/doc/$(DISTDIR)/api ; \
	done

# User ${user} and group ${group} are expected to exist.
# They are defined in Makefile.defs, written by configure.

install-local: doc-install
ifneq ($(DEBIAN),yes)
	$(INSTALL_DIRECTORY) -o ${user} -g ${group} -m 2775 \
	  ${localstatedir}/log/liquidsoap
	$(INSTALL_DIRECTORY) -o ${user} -g ${group} -m 2775 \
	  ${localstatedir}/run/liquidsoap
endif
	$(INSTALL_DIRECTORY) $(bindir)
	$(INSTALL_DIRECTORY) $(libdir)/liquidsoap/$(libs_dir_version)
	$(INSTALL_PROGRAM) scripts/liquidtts $(libdir)/liquidsoap/$(libs_dir_version)
	$(INSTALL_PROGRAM) scripts/extract-replaygain $(libdir)/liquidsoap/$(libs_dir_version)
	$(INSTALL_DATA) scripts/utils.liq $(libdir)/liquidsoap/$(libs_dir_version)
	$(INSTALL_DIRECTORY) ${sysconfdir}/liquidsoap
	$(INSTALL_DATA) examples/radio.liq \
	  ${sysconfdir}/liquidsoap/radio.liq.example
	$(INSTALL_DIRECTORY) ${sysconfdir}/logrotate.d
	$(INSTALL_DATA) scripts/liquidsoap.logrotate \
	  ${sysconfdir}/logrotate.d/liquidsoap

gentoo-install:
	$(INSTALL_PROGRAM) -D \
		scripts/liquidsoap.gentoo.initd ${sysconfdir}/init.d/liquidsoap

service-install:
	$(INSTALL_PROGRAM) -D \
		scripts/liquidsoap.initd ${sysconfdir}/init.d/liquidsoap

=== doc/Makefile ===
.PHONY: doc upload reference all-subdirs

SUBDIRS = content liqi
DISTFILES = liquidsoap.1 Makefile reference_to_liqi.pl settings_to_liqi.pl no-ref.txt
DISTDIRS = orig scripts
PERL_DOM = $(shell perl -MXML::DOM -e1 > /dev/null 2>&1 && echo yes)

CONTENT=$(wildcard content/*.txt)
PRE_HTML=$(shell echo $(CONTENT:.txt=.html) | sed -e 's/content\//html\//g') \
     html/reference.html html/settings.html
HTML=html/scripts/index.html
TEX=$(shell echo $(CONTENT:.txt=.tex) | sed -e 's/content\//tex\//g')
PDF=$(TEX:.tex=.pdf)

# PDF is not ready for end-users yet.
doc: html

html: $(HTML)

pdf: liqref.pdf

liqref.pdf: tex/liqref.tex $(TEX)
	@echo Compiling liqref.pdf...
	@cd tex; pdflatex -interaction nonstopmode liqref.tex

html/scripts/index.html: html/scripts/index.txt liqi/liqi
	@echo Generating $(@)...
	@#Has to be called from html to put scripts in the right place
	@cd html && ../liqi/liqi -i ../$(<) -o ../$(@)

# I have to tell make that index.txt will be there
# once the HTML have been generated.
# Also ensures that the index is built last even with a concurrent make run.
html/scripts/index.txt: $(PRE_HTML)

html/%.html: content/%.txt liqi/liqi
	@echo Converting $(<) to $(@)...
	@test -d html || (mkdir -p html/scripts ; cp -rf orig/* html)
	@#Has to be called from html to put scripts in the right place
	@cd html && ../liqi/liqi -i ../$(<) -o ../$(@)

tex/%.tex: content/%.txt liqi/liqi
	@echo Converting $(<) to $(@)...
	@test -d tex || mkdir tex
	@./liqi/liqi --latex -i $(<) -o $(@)

tex/%.pdf: tex/%.tex
	@echo Converting $(<) to $(@)...
	@cd tex; pdflatex ../$(<)

liqi/liqi: all-subdirs
	@# If I don't put anything here, make tries to build liqi/liqi
	@# from liqi/liqi.o by using gcc

../src/liquidsoap:
	@echo "Liquidsoap does not seem to be built. You have to build it before."
	@echo "Go to the toplevel and type 'make'"
	exit 1

content/reference.txt: reference_to_liqi.pl ../src/liquidsoap ../scripts/utils.liq
ifeq ($(PERL_DOM),yes)
	../src/liquidsoap \
	  --no-pervasives ../scripts/utils.liq --list-plugins-xml | \
	  ./reference_to_liqi.pl > $(@)
else
	@echo "-> You don't seem to have perl XML::DOM module installed."
	@echo "-> Language reference cannot be generated."
	@cp no-ref.txt content/reference.txt
endif

content/settings.txt: settings_to_liqi.pl ../src/liquidsoap
	../src/liquidsoap --conf-descr | \
	  ./settings_to_liqi.pl > $(@)

VERSION="`../src/liquidsoap --version | head -n 1`"

test: html
	@echo -e "Testing code snippets with \033[1m$(VERSION)\033[0m"
	@echo ""
	@find html/scripts | grep '\.liq' | sort \
	  | ./scripts/test_snipets "`pwd`/../src/liquidsoap -p"
	@echo ""
	@echo "Testing shell scripts.."
	@echo "Please remember that it does not test liq syntax used inline.."
	@echo ""
	@find html/scripts | grep '\.sh' | sort | ./scripts/test_snipets "sh -n"
	@echo ""
	@echo "Testing perl scripts.."
	@echo ""
	@find html/scripts | grep '\.pl' | sort | ./scripts/test_snipets "perl -c"

doc-install: $(HTML)
	$(INSTALL)  -d $(datadir)/doc/$(DISTDIR)/html
	cp -rf html/* $(datadir)/doc/$(DISTDIR)/html
	$(INSTALL) -d $(mandir)/man1
	$(INSTALL_DATA) liquidsoap.1 $(mandir)/man1

clean-local:
	rm -rf html $(TEX) content/reference.txt content/settings.txt

RCP=rsync -rLtCP --include="*.exe" --exclude="*.swp" --exclude="*.svn" \
	--delete --stats
RHOST=shell.sf.net:/home/groups/s/sa/savonet/htdocs/new/liq-svn
upload: update
	cd html ; $(RCP) . $(RHOST)
	ssh $(USER)@shell.sf.net "chgrp -R savonet \
	                            /home/groups/s/sa/savonet/htdocs \
	                            > /dev/null 2>&1"
	ssh $(USER)@shell.sf.net "find /home/groups/s/sa/savonet/htdocs \
	                            -type d -exec chmod 2775 '{}' ';' \
	                            > /dev/null 2>&1"
	ssh $(USER)@shell.sf.net "find /home/groups/s/sa/savonet/htdocs \
	                            -type f -exec chmod  664 '{}' ';' \
	                            > /dev/null 2>&1"

top_srcdir=..
include $(top_srcdir)/Makefile.rules

=== src/Makefile ===

SUBDIRS= operators sources tools formats protocols outputs io plugins stream \
         visualization lang analyze playlists ogg_formats video_converters \
         audio_converters synth

DISTFILES = $(wildcard *.mli) Makefile \
	$(wildcard *.ml) META.in

ocaml_progs= liquidsoap

ogg_utils = \
	$(if $(W_OGG),ogg_demuxer.ml) \
	$(if $(W_OGG),ogg_encoder.ml) \
	$(if $(W_SPEEX),ogg_formats/speex_format.ml) \
	$(if $(W_THEORA),ogg_formats/theora_format.ml) \
	$(if $(W_VORBIS),ogg_formats/vorbis_format.ml) \
	$(if $(W_SCHROEDINGER),ogg_formats/dirac_format.ml)

audio_converters = \
	audio_converters/native_audio_converter.ml \
	$(if $(W_SAMPLERATE),audio_converters/libsamplerate_converter.ml)

video_converters = \
	video_converter.ml \
	video_converters/native_video_converter.ml \
	$(if $(W_GAVL),video_converters/gavl_converter.ml)

formats = \
	$(if $(W_OGG),formats/oggformat.ml) \
	$(if $(W_VORBIS),formats/vorbisduration.ml) \
	$(if $(W_TAGLIB),formats/taglib_plug.ml) \
	$(if $(W_FAAD),formats/aacformat.ml) \
	formats/wavformat.ml \
	formats/externalformat.ml \
	$(if $(W_MP3),formats/mp3.ml) \
	formats/midiformat.ml

playlists = \
	playlists/playlist_basic.ml $(if $(W_XMLPLAYLIST),playlists/playlist_xml.ml)

protocols = \
	protocols/say.ml protocols/annotate.ml \
	protocols/mpd.ml protocols/extproto.ml \
	$(if $(W_LAST),protocols/lastfm_req.ml)

sources = sources/generated.ml \
	sources/blank.ml sources/request_source.ml \
	sources/sine.ml sources/square.ml sources/saw.ml \
	sources/req_simple.ml sources/playlist.ml \
	sources/req_queue.ml sources/req_equeue.ml \
	sources/http_source.ml sources/external_input.ml \
	$(if $(W_OGG),sources/http_ogg.ml) \
	sources/noise.ml sources/harbor_input.ml \
	$(if $(W_MP3),sources/http_mp3.ml) \
	$(if $(W_FAAD),sources/http_aac.ml) \
	$(if $(W_ALSA),sources/alsa_in.ml) \
	$(if $(W_LAST),sources/lastfm_input.ml) \
	$(if $(W_BJACK),sources/bjack_in.ml) \
	sources/video_noise.ml \
	sources/video_image.ml \
	$(if $(W_SDL),sources/video_text.ml)

operators = \
	operators/insert_metadata.ml operators/fade.ml operators/add.ml \
	operators/map_metadata.ml operators/on_metadata.ml \
	operators/store_metadata.ml operators/on_track.ml \
	operators/switch.ml operators/id.ml operators/on_end.ml \
	operators/delay.ml operators/setvol.ml \
	operators/normalize.ml operators/echo.ml \
	operators/prepend.ml operators/append.ml operators/accel.ml \
	operators/noblank.ml operators/compand.ml \
	operators/sequence.ml operators/cross.ml operators/smartcross.ml \
	operators/mixing_table.ml operators/filter.ml \
	operators/mean.ml operators/swap.ml \
	operators/pan.ml operators/ms_stereo.ml \
	operators/compress_exp.ml operators/pitch.ml \
	operators/fir_filter.ml operators/iir_filter.ml \
	operators/biquad_filter.ml operators/substract.ml \
	operators/map_op.ml operators/resample.ml \
	operators/flanger.ml operators/comb.ml \
	operators/compress.ml operators/clip.ml \
	$(if $(W_SOUNDTOUCH),operators/soundtouch_op.ml) \
	$(if $(W_SOUNDTOUCH),operators/st_bpm.ml) \
	$(if $(W_LADSPA),operators/ladspa_op.ml) \
	operators/time_wrap.ml operators/lag.ml \
	operators/video_effects.ml operators/video_fade.ml \
	operators/fork.ml operators/midi_routing.ml
#	operators/pipe.ml

analyze = analyze/analyze_rms.ml

outputs = outputs/output.ml outputs/file_output.ml \
	$(if $(W_OGG),outputs/ogg_output.ml) \
	$(if $(W_LAME),outputs/lame_encoded.ml) \
	$(if $(W_AACPLUS),outputs/aacplus_encoded.ml) \
	$(if $(W_VORBIS), outputs/vorbis_encoded.ml)  \
	$(if $(W_THEORA),outputs/theora_encoded.ml) \
	$(if $(W_SCHROEDINGER),outputs/dirac_encoded.ml) \
	$(if $(W_SPEEX), outputs/speex_encoded.ml) \
	$(if $(W_CRY),outputs/icecast2.ml \
 	$(if $(W_OGG),outputs/ogg_output_shout.ml) \
	$(if $(W_VORBIS), outputs/vorbis_encoded_shout.ml) \
	$(if $(W_LAME), outputs/lame_encoded_shout.ml)  \
	$(if $(W_AACPLUS),outputs/aacplus_encoded_shout.ml) \
	$(if $(W_SPEEX), outputs/speex_encoded_shout.ml)  \
	$(if $(W_THEORA), outputs/theora_encoded_shout.ml) ) \
	outputs/external_encoded.ml \
	$(if $(W_CRY),outputs/external_encoded_shout.ml) \
	outputs/wavfile.ml \
	$(if $(W_AO),outputs/ao_out.ml) \
	$(if $(W_FAAC),outputs/faac_encoded.ml) \
	$(if $(W_ALSA),outputs/alsa_out.ml) \
	$(if $(W_BJACK),outputs/bjack_out.ml) \
	$(if $(W_SDL),outputs/sdl_out.ml) \
	$(if $(W_GRAPHICS),outputs/graphics_out.ml)

io = $(if $(W_OSS),io/oss_io_c.c io/oss_io.ml) \
	$(if $(W_ALSA),io/alsa_io.ml) \
	$(if $(W_PORTAUDIO),io/portaudio_io.ml) \
	$(if $(W_PULSEAUDIO),io/pulseaudio_io.ml) \
	$(if $(W_JACK),io/jack_io.ml) \
	$(if $(W_V4L),io/v4l_io_c.c) \
	$(if $(W_V4L),io/v4l_io.ml) \
	$(if $(W_OPAL),io/opal_io_c.o io/opal_io.ml) \
	io/marshal_io.ml

tools = tools/doc.ml tools/plug.ml tools/utils.ml \
	tools/rqueue.ml tools/ringbuffer.ml \
	$(if $(NEED_TCP_NODELAY), tools/socket_stubs.c) \
	tools/liq_sockets.ml \
	tools/wav.ml $(if $(BYTE),tools/dynliq.ml) configure.ml \
	tools/tutils.ml tools/sutils.ml tools/http.ml

stream = stream/midi.ml fmt.ml stream/rgb_c.c stream/RGB.ml \
	stream/frame.ml decoder.ml playlist_parser.ml \
	request.ml source.ml root.ml \
	stream/float_pcm_c.c stream/float_pcm.ml \
	stream/aFrame.ml stream/vFrame.ml stream/mFrame.ml

visualization = visualization/vumeter.ml \
	$(if $(W_GRAPHICS),visualization/vis_volume.ml) \
	$(if $(W_GL),visualization/GLvisualizer.ml) \
	$(if $(W_GL),visualization/vis_glvolume.ml) \
	visualization/video_volume.ml \
        visualization/midimeter.ml

synth = synth/synth.ml synth/synth_op.ml \
	synth/keyboard.ml \
	$(if $(W_SDL),synth/keyboard_sdl.ml)

liquidsoap_sources= $(tools) SVN.ml audio_converter.ml $(stream) \
	tools/server.ml tools/server_builtins.ml \
	$(if $(W_LAST),tools/liqfm.ml) \
	$(if $(W_ALSA), alsa_settings.ml) \
	lang/lang_types.ml lang/lang_values.ml \
	lang/lang_lexer.ml lang/lang_parser.ml lang/lang_pp.ml lang/lang.ml \
	tools/harbor.ml tools/ioRing.ml tools/file_decoder.ml tools/mutils.ml \
	$(video_converters) $(audio_converters) \
	$(ogg_utils) $(protocols) $(sources) $(operators) $(outputs) $(io) \
	$(analyze) $(playlists) $(visualization) $(synth) $(formats) \
	shebang.ml \
	lang/lang_builtins.ml \
	$(if $(W_MAGIC),lang/lang_magic.ml) \
	$(if $(W_LAST),lang/lang_lastfm.ml) \
	main.ml

OCAML_CFLAGS= -thread \
	-I tools -I lang -I playlists -I stream -I outputs -I formats \
	-I video_converters -I sources -I operators -I io -I visualization \
	-I analyze -I ogg_formats -I audio_converters -I synth
OCAML_LFLAGS= $(if $(BYTE),dynlink.cma) $(if $(W_OPAL),-cclib -lopal)
DEP_OPTS= -I sources -I operators -I tools -I lang -I formats -I playlists \
		  -I video_converters -I outputs -I io -I stream -I visualization \
		  -I analyze -I ogg_formats -I audio_converters -I synth

liquidsoap_doc_sources= \
	source.ml root.ml \
	tools/plug.ml tools/http.ml \
	decoder.ml request.ml outputs/output.ml \
	lang/lang.ml tools/server.ml \
	tools/tutils.ml tools/sutils.ml tools/mutils.ml \
	tools/ringbuffer.ml \
	tools/doc.ml tools/wav.ml \
	sources/request_source.ml operators/switch.ml \
	configure.ml fmt.ml video_converter.ml \
	$(if $(W_OGG),ogg_encoder.ml ogg_demuxer.ml) \
	stream/frame.ml stream/float_pcm.ml stream/aFrame.ml \
	stream/vFrame.ml stream/RGB.ml audio_converter.ml \
	stream/mFrame.ml

top_srcdir=..
include $(top_srcdir)/Makefile.rules

stream/float_pcm_c.o: stream/float_pcm_c.c
	$(MAKE) -C stream float_pcm_c.o
stream/rgb_c.o: stream/rgb_c.c
	$(MAKE) -C stream rgb_c.o
io/oss_io_c.o: io/oss_io_c.c
	$(MAKE) -C io oss_io_c.o
io/opal_io_c.o: io/opal_io_c.c
	$(MAKE) -C io opal_io_c.o

# Compute something like " (trunk/liquidsoap@rev1234)" when .svn is present,
SVN.ml: Makefile $(liquidsoap_sources:SVN.ml=)
	if test -d .svn && which svn > /dev/null ; then \
	  url=`LC_ALL=C svn info | grep URL | \
	       sed -e 's:.*svnroot/savonet/\(.*\)/src:\1:'`; \
	  revision=`LC_ALL=C svn info | grep Revision | \
	            sed -e 's/Revision: \(.*\)/\1/'`  ; \
	  echo "let rev = \" ($$url@rev$$revision)\"" > SVN.ml ; \
	else \
	  echo "let rev = \"\"" > SVN.ml ; \
	fi

install-local: all-auto
	$(INSTALL) -d $(bindir)
	$(INSTALL_PROGRAM) liquidsoap $(bindir)

# Dirty hack since ocamlcp does not play nicely with include
profile:
	-$(MAKE)
	cd lang; ocamlc -c -I .. -I ../tools lang_values.ml
	$(MAKE)

libliq_sources= $(tools) SVN.ml audio_converter.ml $(stream) \
	shebang.ml alsa_settings.ml \
	tools/server.ml tools/server_builtins.ml \
	lang/lang_types.ml lang/lang_values.ml \
	lang/lang_lexer.ml lang/lang_parser.ml lang/lang_pp.ml lang/lang.ml \
	tools/harbor.ml $(video_converters) $(audio_converters) \
	$(ogg_utils) $(protocols) $(sources) $(operators) $(outputs) $(io) \
	$(analyze) $(playlists) $(formats) \
	lang/lang_builtins.ml
libliq_objects=$(libliq_sources:.ml=.$(o))
liquidsoap.$(a): $(libliq_objects:.c=.o) Makefile
	ocamlmklib $(OCAML_CFLAGS:-threads:) -linkall $(OCAML_LFLAGS) \
	  -o liquidsoap \
	  $(libliq_objects:.c=.o)

=== src/io/Makefile ===
DISTFILES = $(wildcard *.ml) $(wildcard *.mli) $(wildcard *.c) Makefile

top_srcdir=../..
include $(top_srcdir)/Makefile.rules

opal_io_c.o: opal_io_c.c
	$(CC) $(CFLAGS) -c -g -Wall -I$(shell $(OCAMLC) -where) -I$(OPAL_INCLUDE) $<

=== src/tools/Makefile ===

DISTFILES = $(wildcard *.ml) $(wildcard *.mli) $(wildcard *.c) $(wildcard *.in)  Makefile 

ocaml_tests = mixer_test wav_test tutils_test
OCAML_CFLAGS= -thread -package dtools

mixer_test_sources = mixer_c.c mixer.ml mixer_test.ml
wav_test_sources = mixer_c.c mixer.ml wav.ml wav_test.ml
tutils_test_sources = tutils.ml tutils_test.ml

top_srcdir=../..
include $(top_srcdir)/Makefile.rules

## liquidsoap 0.9.3

=== debian/changelog ===
liquidsoap (0.9.3-3) unstable; urgency=low

  * Upload to unstable.
  * Enabled faad support now that is is in unstable!
  * Droped patch to add -lstdc++: should be fixed in each
    corresponding binding.
  * Added patch to support new ocaml-faad API.

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 14 Apr 2011 13:56:17 -0500

liquidsoap (0.9.3-2) experimental; urgency=low

  * Added patch to enable build in non-custom mode.

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 28 Sep 2010 13:46:47 -0500

liquidsoap (0.9.3-1) experimental; urgency=low

  * New upstream release.
  * Droped quilt patches: no patches needed!
  * Upload to experimental now that sid is frozen.
  * Bumped standards version to 3.9.1
  * Bumped build-dep version to match latest bindings'
    releases.
  * Changed source format to 3.0 (quilt).

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 04 Sep 2010 14:59:12 -0500

liquidsoap (0.9.2-3) unstable; urgency=low

  * Fixed ogg theora default parameters.
  Closes: #577076
  * Fixed input.lastfm

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 12 Apr 2010 04:06:59 +0200

liquidsoap (0.9.2-2) unstable; urgency=low

  * Patched liquidsoap to build against ocaml-theora 0.2.0~svn6618
  Closes: #574628
  * Fixed SDL output code, added libsdl-ocaml-dev in build-dep to
    enable SDL output.
  Closes: #574625
  * Added a patch to allow Magic file detection to follow symlinks.

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 25 Mar 2010 11:45:29 -0500

liquidsoap (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Build against the latest ocaml-lastfm API.
  Closes: #551245
  * Ship upstream's version of the init script
    with correct dependencies.
  Closes: #541635
  * Bumped standards version to 3.8.3
  * Versioned ocaml build dependencies.
  * Add ocaml.mk support with new automatic dependency
    tracking.
  * Added patch to drop portaudio in in() definition
  * Added patch to switch mp3gain and vorbisgain to
    quiet mode.

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 30 Oct 2009 12:18:05 -0500

liquidsoap (0.9.1-1) unstable; urgency=low

  * New Upstream Version
  * Dropped patch applied upstream.
  * Thightened build-deps on ocaml-duppy and
    ocaml-taglib to build against the fixed packages.
  * Updated standards version to 3.8.2

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 22 Jun 2009 18:42:50 +0200

liquidsoap (0.9.0-4) unstable; urgency=low

  * Added patch from upstream:
    o Fix task end for queued sources.
    o Fix append operator.

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 11 Jun 2009 02:18:50 +0200

liquidsoap (0.9.0-3) unstable; urgency=low

  * Fixed math.h usage in src/rgb_c.c
  * Rebuild against fixed modules.
  Closes: #528857

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 19 May 2009 22:40:22 +1100

liquidsoap (0.9.0-2) unstable; urgency=low

  * Enabled new bindings.
  * Added suggests on mplayer.
  * Fixed clean target.

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 10 May 2009 04:38:38 +0200

liquidsoap (0.9.0-1) unstable; urgency=low

  [ Stephane Glondu ]
  * Switch packaging to git.

  [ Samuel Mimram ]
  * Build with OCaml 3.11.
  * Update compat to 7.

  [ Romain Beauxis ]
  * New Upstream Version.
  * Build and upload against current
    modules. Will re-upload when new modules
    are accepted.
  * Dropped patch applied upstream.
  * Create /var/run/liquidsoap at runtime.

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 02 Apr 2009 11:48:34 +0200

liquidsoap (0.3.8.1+2-2) unstable; urgency=high

  * Fix liguidsoap temporary file name.
    Thanks to Tobias Klauser for providing a patch.
  Closes: #496360
  * Desactivated portaudio option since it is buggy
    and should be more tested.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 11 Aug 2008 14:36:31 +0200

liquidsoap (0.3.8.1+2-1) unstable; urgency=low

  * There was a mistake with previous source tarball.
    Reuploading a fixed one

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 11 Aug 2008 14:30:45 +0200

liquidsoap (0.3.8.1-1) unstable; urgency=low

  * New upstream release fixing several issues
    in smart_crossfade

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 09 Aug 2008 17:52:53 +0200

liquidsoap (0.3.8-1) unstable; urgency=low

  * New upstream release
  * Dropped patch applied upstream
  * Versioned build-dep on ocaml-duppy to build against the fixed
    version
  Closes: #489702

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 30 Jul 2008 09:46:23 +0200

liquidsoap (0.3.7-3) unstable; urgency=low

  * Rebuild against fixed ocaml-bjack
  * Bumped build-dep version for ocaml-bjack
  * Dropped patch for task leak in request_source.ml
  * Updated patch for array length in playlist.next

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 23 Jun 2008 12:01:27 +0200

liquidsoap (0.3.7-2) unstable; urgency=low

  * Created /usr/share/liquidsoap directory, needed for
    liguidsoap.
  * Install logrotate file
  * Backported several fixes from upstream:
    + Fix vorbis mono output
    + Fix parameter order in documentation
    + Fix add_timeout delay propagation
    + Fix inter-thread mutex lock in playlist.ml
    + Fix task leak in request_source.ml
    + Fix array length in playlist.next
  * Enabled ocaml-bjack support

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 12 Jun 2008 13:47:16 +0200

liquidsoap (0.3.7-1) unstable; urgency=low

  * New upstream release
  * Switched maintainer to the debian ocaml team
  * Dropped patches applied upstream
  * Removed ocaml-alsa build-dep for non-linux archs

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 28 May 2008 21:25:41 -0400

liquidsoap (0.3.6-4) unstable; urgency=high

  * Updated fix for smartcross
  * Still setting urgency to high since testing package is
    still broken..

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 04 Mar 2008 03:42:50 +0100

liquidsoap (0.3.6-3) unstable; urgency=high

  * Backported patch to fix smart_crossfading
  * Setting urgency to high since previous upload


=== debian/control ===
Source: liquidsoap
Section: sound
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Romain Beauxis <toots@rastageeks.org>, Samuel Mimram <smimram@debian.org>
Build-Depends:
 cdbs (>= 0.4.53),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 ocaml-nox,
 dh-ocaml (>= 0.9),
 ocaml-findlib,
 libcry-ocaml-dev (>= 0.1.5),
 libogg-ocaml-dev (>= 0.4.1),
 libvorbis-ocaml-dev (>= 0.5.1-2),
 libmad-ocaml-dev (>= 0.4.0),
 libdtools-ocaml-dev (>= 0.2.1),
 libtaglib-ocaml-dev (>= 0.1.3),
 libcamomile-ocaml-dev,
 festival,
 libxml-dom-perl,
 python-gtk2-dev,
 python,
 python-support (>= 0.3),
 libao-ocaml-dev (>= 0.2.0),
 libduppy-ocaml-dev (>= 0.3.2),
 libalsa-ocaml-dev (>= 0.2.0) [!kfreebsd-i386 !hurd-i386 !kfreebsd-amd64],
 libpcre-ocaml-dev,
 libladspa-ocaml-dev (>= 0.1.2),
 sox,
 libsoundtouch-ocaml-dev (>= 0.1.5),
 liblastfm-ocaml-dev (>= 0.2.0),
 libspeex-ocaml-dev (>= 0.1.2-2),
 libgavl-ocaml-dev (>= 0.1.3),
 libtheora-ocaml-dev (>= 0.2.0-3),
 libportaudio-ocaml-dev (>= 0.1.3),
 libpulse-ocaml-dev (>= 0.1.1),
 libsamplerate-ocaml-dev (>= 0.1.1),
 libxmlplaylist-ocaml-dev (>= 0.1.2),
 libmagic-ocaml-dev (>= 0.3.6),
 libbjack-ocaml-dev (>= 0.1.3),
 libsdl-ocaml-dev,
 libfaad-ocaml-dev
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/liquidsoap.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/liquidsoap.git
Homepage: http://savonet.sourceforge.net/

Package: liquidsoap
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends},
 ${perl:Depends},
 libcamomile-ocaml-data,
 wget,
 sox,
 adduser
Recommends: logrotate, mp3gain, vorbisgain, vorbis-tools
Suggests: icecast2, festival, mplayer, liguidsoap, faad, flac
Description: audio streaming language
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 Some of the typical uses are:
  * dynamically generating playlists depending on the time or other factors
  * having smooth transitions between songs
  * adding jingles periodically
  * applying effects on the sound like volume normalization
  * reencoding the stream at various qualities
  * remotely controlling the stream

Package: liguidsoap
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-gtk2
Recommends: liquidsoap (= ${binary:Version})
Description: control GUI for liquidsoap
 Liguidsoap is a GUI for controlling liquidsoap, using pyGTK.
 .
 It allows one to interact in various ways with:
  * outputs
  * playlists
  * queues
  * mixing table
 .
 It can control a running instance of liquidsoap or launch its own instance.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/ocaml.mk

# In order to regenerate 'debian/control' :
#   DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
# Then check manually if everything's ok

DEB_CONFIGURE_EXTRA_FLAGS := --disable-gl --disable-graphics --disable-lame
DEB_MAKE_BUILD_TARGET := all doc
DEB_MAKE_INSTALL_TARGET := doc install DESTDIR=$(CURDIR)/debian/tmp/ DEBIAN=yes prefix=$(CURDIR)/debian/tmp/usr sysconfdir=$(CURDIR)/debian/tmp/etc
DEB_INSTALL_MANPAGES_liquidsoap := doc/liquidsoap.1
DEB_COMPRESS_EXCLUDE := .pdf

#DEB_DH_STRIP_ARGS := --exclude=liquidsoap --exclude=liquidtts

makebuilddir/liquidsoap::
	[ ! -f src/configure.ml ] || [ -f src/configure.ml.cdbs-backup ] || \
	cp -f src/configure.ml src/configure.ml.cdbs-backup

install/liquidsoap::
	cp $(CURDIR)/scripts/liquidsoap.initd $(CURDIR)/debian/liquidsoap.init

binary-install/liquidsoap::
	make doc
	mv $(CURDIR)/debian/liquidsoap/etc/liquidsoap/radio.liq $(CURDIR)/debian/liquidsoap/etc/liquidsoap/radio.liq.example
	chmod +x $(CURDIR)/debian/liquidsoap/etc/liquidsoap/radio.liq.example
	chmod -x $(CURDIR)/debian/liquidsoap/usr/share/doc/liquidsoap/examples/*.liq
	[ ! -f $(CURDIR)/src/dllliquidsoap.so ] || \
	  (mkdir -p $(CURDIR)/debian/liquidsoap$(OCAML_DLL_DIR); \
	   cp $(CURDIR)/src/dllliquidsoap.so $(CURDIR)/debian/liquidsoap$(OCAML_DLL_DIR))

binary-install/liguidsoap::
	sed -e s#/usr/lib/python.*/site-packages/liquidsoap#/var/lib/liguidsoap#g -i $(CURDIR)/debian/liguidsoap/usr/bin/liguidsoap
	dh_pysupport /var/lib/liguidsoap

cleanbuilddir/liquidsoap::
	[ -f src/configure.ml.cdbs-backup ] || [ ! -f src/configure.ml ] || \
	cp -f src/configure.ml src/configure.ml.cdbs-backup

clean::
	rm -rf src/liquidsoap src/META radio.liq.example \
	       src/SVN.ml src/io/liquidsoap_depend autodoc \
	       doc/manual debian/liquidsoap.init src/dllliquidsoap.so \
	       src/libliquidsoap.a
	[ ! -f src/configure.ml.cdbs-backup ] || mv -f src/configure.ml.cdbs-backup src/configure.ml

## liquidsoap 1.0.0~beta1

=== Makefile ===
--- 
+++ 
@@ -26,6 +26,7 @@
 
 finish-configure:
 	@echo Creating src/configure.ml
+ifneq ($(OS_TYPE),Win32)
 	@echo let tts_program = \"$(libdir)/liquidsoap/$(libs_dir_version)/liquidtts\" >> src/configure.ml
 	@echo let rundir = \"$(localstatedir)/run/liquidsoap\" >> src/configure.ml
 	@echo let logdir = \"$(localstatedir)/log/liquidsoap\" >> src/configure.ml
@@ -33,6 +34,15 @@
 	@echo let display_types = ref false >> src/configure.ml
 	@echo let \(\) = add_subst \"\<sysrundir\>\" \"$(localstatedir)/run/liquidsoap\" >> src/configure.ml
 	@echo let \(\) = add_subst \"\<syslogdir\>\" \"$(localstatedir)/log/liquidsoap\" >> src/configure.ml
+else
+	@echo let tts_program = \"liquidtts\" >> src/configure.ml
+	@echo let rundir = \"run\" >> src/configure.ml
+	@echo let logdir = \"logs\" >> src/configure.ml
+	@echo let libs_dir = \"libs\" >> src/configure.ml
+	@echo let \(\) = add_subst \"\<sysrundir\>\" \".\" >> src/configure.ml
+	@echo let \(\) = add_subst \"\<syslogdir\>\" \".\" >> src/configure.ml
+endif
+	@echo let display_types = ref false >> src/configure.ml
 	@echo "(* Enable backtrace printing if possible, does nothing on ocaml<3.11 *)" >> src/configure.ml
 	@echo "let record_backtrace _ = ()" >> src/configure.ml
 	@echo "open Printexc" >> src/configure.ml
@@ -66,7 +76,10 @@
 	$(INSTALL_DIRECTORY) $(libdir)/liquidsoap/$(libs_dir_version)
 	$(INSTALL_PROGRAM) scripts/liquidtts $(libdir)/liquidsoap/$(libs_dir_version)
 	$(INSTALL_PROGRAM) scripts/extract-replaygain $(libdir)/liquidsoap/$(libs_dir_version)
-	$(INSTALL_DATA) scripts/utils.liq $(libdir)/liquidsoap/$(libs_dir_version)
+	for l in externals.liq lastfm.liq utils.liq shoutcast.liq pervasives.liq ; \
+	do \
+	  $(INSTALL_DATA) scripts/$$l $(libdir)/liquidsoap/$(libs_dir_version) ; \
+	done
 	$(INSTALL_DIRECTORY) ${sysconfdir}/liquidsoap
 	$(INSTALL_DATA) examples/radio.liq \
 	  ${sysconfdir}/liquidsoap/radio.liq.example

=== doc/Makefile ===
--- 
+++ 
@@ -75,19 +75,19 @@
 VERSION="`../src/liquidsoap --version | head -n 1`"
 
 test: html
-	@echo -e "Testing code snippets with \033[1m$(VERSION)\033[0m"
+	@echo "Testing code snippets with \033[1m$(VERSION)\033[0m"
 	@echo ""
 	@find html/scripts | grep '\.liq' | sort \
-	  | ./scripts/test_snipets "`pwd`/../src/liquidsoap -p"
+	  | ./scripts/test_snippets "`pwd`/../src/liquidsoap -p"
 	@echo ""
 	@echo "Testing shell scripts.."
 	@echo "Please remember that it does not test liq syntax used inline.."
 	@echo ""
-	@find html/scripts | grep '\.sh' | sort | ./scripts/test_snipets "sh -n"
+	@find html/scripts | grep '\.sh' | sort | ./scripts/test_snippets "sh -n"
 	@echo ""
 	@echo "Testing perl scripts.."
 	@echo ""
-	@find html/scripts | grep '\.pl' | sort | ./scripts/test_snipets "perl -c"
+	@find html/scripts | grep '\.pl' | sort | ./scripts/test_snippets "perl -c"
 
 doc-install: $(HTML)
 	$(INSTALL)  -d $(datadir)/doc/$(DISTDIR)/html

=== scripts/Makefile ===

DISTFILES = $(wildcard *.in) Makefile ask-liquidsoap.rb ask-liquidsoap.pl \
	    $(wildcard *.liq) extract-replaygain

top_srcdir = ..
include $(top_srcdir)/Makefile.rules

=== src/Makefile ===

SUBDIRS= tools decoder playlists encoder protocols plugins stream lang \
		 ogg_formats video_converters audio_converters \
		 operators sources conversions outputs io visualization analyze synth

DISTFILES = $(wildcard *.mli) Makefile $(wildcard *.ml) META.in

ocaml_progs= liquidsoap

ogg_demuxer = \
	$(if $(W_OGG),ogg_demuxer.ml) \
	$(if $(W_SCHROEDINGER),ogg_formats/dirac_decoder.ml) \
	$(if $(W_SPEEX),ogg_formats/speex_decoder.ml) \
	$(if $(W_THEORA),ogg_formats/theora_decoder.ml) \
	$(if $(W_VORBIS),ogg_formats/vorbis_decoder.ml)

ogg_muxer = \
	$(if $(W_OGG),ogg_muxer.ml) \
	$(if $(W_OGG), encoder/ogg_encoder.ml) \
	$(if $(W_VORBIS),ogg_formats/vorbis_encoder.ml) \
	$(if $(W_THEORA),ogg_formats/theora_encoder.ml) \
	$(if $(W_SPEEX),ogg_formats/speex_encoder.ml) \
	$(if $(W_SCHROEDINGER),ogg_formats/dirac_encoder.ml)

audio_converters = \
	audio_converters/native_audio_converter.ml \
	$(if $(W_SAMPLERATE),audio_converters/libsamplerate_converter.ml)

video_converters = \
	video_converter.ml \
	video_converters/native_video_converter.ml \
	$(if $(W_GAVL),video_converters/gavl_converter.ml)

decoders = \
	decoder/wav_decoder.ml decoder/midi_decoder.ml \
	decoder/external_decoder.ml \
	$(if $(W_FAAD),decoder/aac_decoder.ml) \
	$(if $(W_OGG),decoder/ogg_decoder.ml) \
	$(if $(W_MP3),decoder/mp3.ml) \
	$(if $(W_VORBIS),decoder/vorbisduration.ml) \
	$(if $(W_TAGLIB),decoder/taglib_plug.ml) \
	$(if $(W_SDL),decoder/sdlimage_decoder.ml) \
	decoder/metadata_decoder.ml

playlists = \
	playlists/playlist_basic.ml $(if $(W_XMLPLAYLIST),playlists/playlist_xml.ml)

protocols = \
	protocols/say.ml protocols/annotate.ml \
	protocols/mpd.ml \
	$(if ($(OS_TYPE):Win32=),protocols/extproto.ml) \
	$(if $(W_LAST),protocols/lastfm_req.ml)

sources = \
	sources/synthesized.ml sources/noise.ml sources/blank.ml \
	sources/sine.ml sources/square.ml sources/saw.ml \
	sources/request_source.ml \
	sources/req_simple.ml sources/playlist.ml \
	sources/req_queue.ml sources/req_equeue.ml \
	sources/generated.ml sources/http_source.ml \
	$(if $(W_ALSA),sources/alsa_in.ml) \
	$(if $(W_BJACK),sources/bjack_in.ml) \
	$(if $(W_LAST),sources/lastfm_input.ml) \
	tools/harbor.ml sources/harbor_input.ml \
	sources/external_input.ml

operators = \
	operators/insert_metadata.ml operators/map_metadata.ml \
	operators/on_metadata.ml operators/store_metadata.ml \
	operators/on_track.ml operators/on_end.ml operators/delay.ml \
	operators/switch.ml operators/fade.ml operators/add.ml \
	operators/sequence.ml operators/cross.ml operators/smartcross.ml \
	operators/compress_exp.ml operators/pitch.ml \
	operators/fir_filter.ml operators/iir_filter.ml \
	operators/biquad_filter.ml operators/substract.ml \
	operators/map_op.ml operators/flanger.ml operators/comb.ml \
	operators/compress.ml operators/clip.ml operators/filter.ml \
	operators/setvol.ml operators/normalize.ml operators/echo.ml \
	operators/append.ml operators/pan.ml operators/ms_stereo.ml \
	operators/dyn_op.ml \
	$(if $(W_SOUNDTOUCH),operators/soundtouch_op.ml) \
	$(if $(W_SOUNDTOUCH),operators/st_bpm.ml) \
	operators/video_effects.ml operators/video_fade.ml \
	$(if $(W_SDL),operators/video_text.ml) \
	operators/video_image.ml \
	$(if $(W_LADSPA),operators/ladspa_op.ml) \
	operators/noblank.ml operators/compand.ml \
	operators/mixing_table.ml operators/prepend.ml \
	operators/midi_routing.ml operators/chord.ml \
	operators/time_warp.ml operators/resample.ml

conversions = \
	conversions/audio_to_stereo.ml conversions/drop.ml conversions/id.ml \
	conversions/swap.ml conversions/mean.ml conversions/mux.ml

analyze = analyze/analyze_rms.ml

encoders = \
	encoder/wav_encoder.ml \
	encoder/external_encoder.ml \
	$(if $(W_LAME),encoder/lame_encoder.ml) \
	$(if $(W_AACPLUS),encoder/aacplus_encoder.ml) \
	# $(if $(W_FAAC),outputs/faac_encoded.ml)

outputs = outputs/output.ml $(if $(W_AO),outputs/ao_out.ml) \
	outputs/file_output.ml $(if $(W_CRY),outputs/icecast2.ml) \
	$(if $(W_SDL),outputs/sdl_out.ml) \
	$(if $(W_GRAPHICS),outputs/graphics_out.ml) \
	$(if $(W_ALSA),outputs/alsa_out.ml) \
	$(if $(W_BJACK),outputs/bjack_out.ml)

io = \
        $(if $(W_ALSA),io/alsa_io.ml) \
	$(if $(W_OSS),io/oss_io_c.c io/oss_io.ml) \
	$(if $(W_PULSEAUDIO),io/pulseaudio_io.ml) \
	$(if $(W_PORTAUDIO),io/portaudio_io.ml) \
	$(if $(W_JACK),io/jack_io.ml) \
	$(if $(W_V4L),io/v4l_io_c.c) \
	$(if $(W_V4L),io/v4l_io.ml) \
	$(if $(W_OPAL),io/opal_io_c.o io/opal_io.ml) \
#	io/marshal_io.ml

tools = tools/doc.ml tools/plug.ml tools/utils.ml \
	tools/rqueue.ml \
	$(if $(NEED_TCP_NODELAY), tools/socket_stubs.c) \
	tools/liq_sockets.ml \
	tools/wav.ml $(if $(BYTE),tools/dynliq.ml) configure.ml \
	tools/tutils.ml tools/sutils.ml tools/http.ml \
	tools/pool.ml

stream = stream/midi.ml stream/rgb_c.c stream/RGB.ml \
	stream/float_pcm_c.c stream/float_pcm.ml \
	stream/frame.ml stream/generator.ml \
	stream/aFrame.ml stream/vFrame.ml stream/mFrame.ml \
	tools/ringbuffer.ml # ringbuffer needs float_pcm

visualization = visualization/vumeter.ml \
	$(if $(W_GL),visualization/GLvisualizer.ml) \
	$(if $(W_GL),visualization/vis_glvolume.ml) \
	$(if $(W_GRAPHICS),visualization/vis_volume.ml) \
	visualization/midimeter.ml \
	visualization/video_volume.ml \

synth = synth/synth.ml synth/keyboard.ml \
	synth/synth_op.ml \
	$(if $(W_SDL),synth/keyboard_sdl.ml) \
	$(if $(W_DSSI),synth/dssi_op.ml)

liquidsoap_sources= $(tools) SVN.ml audio_converter.ml $(stream) \
	decoder/decoder.ml request.ml source.ml clock.ml tools/rutils.ml \
	playlist_parser.ml encoder/encoder.ml \
	tools/server.ml tools/server_builtins.ml \
	$(if $(W_SDL),tools/sdl_utils.ml) \
	$(if $(W_LAST),tools/liqfm.ml) \
	$(if $(W_ALSA), alsa_settings.ml) \
	lang/lang_types.ml lang/lang_values.ml \
	lang/lang_encoders.ml lang/lang_parser.ml lang/lang_lexer.ml \
	lang/lang_pp.ml lang/lang.ml \
	tools/ioRing.ml tools/mutils.ml \
	$(video_converters) $(audio_converters) $(ogg_demuxer) $(protocols) \
	$(sources) $(conversions) $(outputs) $(operators) \
	$(encoders) $(ogg_muxer) $(io) \
	$(analyze) $(playlists) $(visualization) $(synth) $(decoders) \
	shebang.ml \
	lang/lang_builtins.ml \
	$(if $(W_MAGIC),lang/lang_magic.ml) \
	$(if $(W_LAST),lang/lang_lastfm.ml) \
	$(if $(W_CRY),lang/lang_cry.ml) \
	main.ml

OCAML_CFLAGS= -thread $(patsubst %,-I %,$(SUBDIRS))
OCAML_LFLAGS= $(if $(BYTE),dynlink.cma) $(if $(W_OPAL),-cclib -lopal)
DEP_OPTS= $(patsubst %,-I %,$(SUBDIRS))

liquidsoap_doc_sources= \
	source.ml clock.ml encoder/encoder.ml \
	tools/plug.ml tools/http.ml \
	decoder/decoder.ml request.ml outputs/output.ml \
	lang/lang.ml tools/server.ml \
	tools/tutils.ml tools/sutils.ml tools/mutils.ml \
	tools/ringbuffer.ml playlist_parser.ml \
	tools/doc.ml tools/wav.ml \
	sources/request_source.ml operators/switch.ml \
	configure.ml video_converter.ml \
	stream/frame.ml stream/float_pcm.ml stream/aFrame.ml \
	stream/vFrame.ml stream/RGB.ml audio_converter.ml \
	stream/mFrame.ml stream/generator.ml

top_srcdir=..
include $(top_srcdir)/Makefile.rules

stream/float_pcm_c.o: stream/float_pcm_c.c
	$(MAKE) -C stream float_pcm_c.o
stream/rgb_c.o: stream/rgb_c.c
	$(MAKE) -C stream rgb_c.o
io/oss_io_c.o: io/oss_io_c.c
	$(MAKE) -C io oss_io_c.o
io/opal_io_c.o: io/opal_io_c.c
	$(MAKE) -C io opal_io_c.o

# Compute something like " (trunk/liquidsoap@rev1234)" when .svn is present,
SVN.ml: Makefile $(liquidsoap_sources:SVN.ml=)
	if test -d .svn && which svn > /dev/null ; then \
	  url=`LC_ALL=C svn info | grep URL | \
	       sed -e 's:.*svnroot/savonet/\(.*\)/src:\1:'`; \
	  revision=`LC_ALL=C svn info | grep Revision | \
	            sed -e 's/Revision: \(.*\)/\1/'`  ; \
	  echo "let rev = \" ($$url@rev$$revision)\"" > SVN.ml ; \
	else \
	  echo "let rev = \"\"" > SVN.ml ; \
	fi

install-local: all-auto
	$(INSTALL) -d $(bindir)
	$(INSTALL_PROGRAM) liquidsoap $(bindir)

# Dirty hack since ocamlcp does not play nicely with include
profile:
	-$(MAKE)
	cd lang; ocamlc -c -I .. -I ../tools lang_values.ml
	$(MAKE)

libliq_sources= $(tools) SVN.ml audio_converter.ml $(stream) \
	shebang.ml alsa_settings.ml \
	tools/server.ml tools/server_builtins.ml \
	lang/lang_types.ml lang/lang_values.ml \
	lang/lang_encoders.ml lang/lang_parser.ml lang/lang_lexer.ml \
	lang/lang_pp.ml lang/lang.ml \
	tools/harbor.ml $(if $(W_SDL),tools/sdl_utils.ml) \
	$(video_converters) $(audio_converters) \
	$(ogg_utils) $(protocols) $(sources) $(operators) $(outputs) $(io) \
	$(analyze) $(playlists) $(decoders) \
	lang/lang_builtins.ml
libliq_objects=$(libliq_sources:.ml=.$(o))
liquidsoap.$(a): $(libliq_objects:.c=.o) Makefile
	ocamlmklib $(OCAML_CFLAGS:-threads:) -linkall $(OCAML_LFLAGS) \
	  -o liquidsoap \
	  $(libliq_objects:.c=.o)

=== doc/liqi/Makefile ===
DISTFILES= $(wildcard *.ml*) Makefile

ocaml_progs=liqi
liqi_sources=liqi.ml html.ml latex.ml liqi_parser.ml liqi_lexer.ml main.ml

# Stupid need because of liquidsoap's CFLAGS, don't care for now
OCAML_CFLAGS=-thread

top_srcdir=../..
include $(top_srcdir)/Makefile.rules

=== src/decoder/Makefile ===

DISTFILES = $(wildcard *.ml) $(wildcard *.mli) $(wildcard *.c) Makefile

top_srcdir= ../..
include $(top_srcdir)/Makefile.rules

=== src/lang/Makefile ===

lang_types.cmo: lang_types.ml
	ocamlc -c lang_types.ml

DISTFILES = $(wildcard *.ml*) $(wildcard *.mli) Makefile
top_srcdir=../..
include $(top_srcdir)/Makefile.rules

=== debian/changelog ===
liquidsoap (1.0.0~beta1-2) unstable; urgency=low

  * Fixed bytecode compilation in non-custom mode. 

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 19 May 2011 15:47:18 -0500

liquidsoap (1.0.0~beta1-1) unstable; urgency=low

  [ Samuel Mimram ]
  * New upstream release.

  [ Romain Beauxis ]
  * Bumped standard version to 3.9.3 

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 17 May 2011 11:18:21 -0500

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libcry-ocaml-dev (>= 0.1.5),
  libogg-ocaml-dev (>= 0.4.1),
  libvorbis-ocaml-dev (>= 0.5.1-2),
- libmad-ocaml-dev (>= 0.4.0),
+ libmad-ocaml-dev (>= 0.4.1),
  libdtools-ocaml-dev (>= 0.2.1),
  libtaglib-ocaml-dev (>= 0.1.3),
  libcamomile-ocaml-dev,
@@ -24,14 +24,14 @@
  python-support (>= 0.3),
  libao-ocaml-dev (>= 0.2.0),
  libduppy-ocaml-dev (>= 0.3.2),
- libalsa-ocaml-dev (>= 0.2.0) [!kfreebsd-i386 !hurd-i386 !kfreebsd-amd64],
+ libalsa-ocaml-dev (>= 0.2.1) [!kfreebsd-i386 !hurd-i386 !kfreebsd-amd64],
  libpcre-ocaml-dev,
  libladspa-ocaml-dev (>= 0.1.2),
  sox,
  libsoundtouch-ocaml-dev (>= 0.1.5),
- liblastfm-ocaml-dev (>= 0.2.0),
+ liblastfm-ocaml-dev (>= 0.3.0),
  libspeex-ocaml-dev (>= 0.1.2-2),
- libgavl-ocaml-dev (>= 0.1.3),
+ libgavl-ocaml-dev (>= 0.1.4),
  libtheora-ocaml-dev (>= 0.2.0-3),
  libportaudio-ocaml-dev (>= 0.1.3),
  libpulse-ocaml-dev (>= 0.1.1),
@@ -41,7 +41,7 @@
  libbjack-ocaml-dev (>= 0.1.3),
  libsdl-ocaml-dev,
  libfaad-ocaml-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/liquidsoap.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/liquidsoap.git
 Homepage: http://savonet.sourceforge.net/
